Oracle Linux 9: samba (ELSA-2022-8317)

medium Nessus プラグイン ID 168113

概要

リモートの Oracle Linux ホストにセキュリティ更新プログラムがありません。

説明

リモートの Oracle Linux 9 ホストに、ELSA-2022-8317 のアドバイザリに記載されている脆弱性の影響を受けるパッケージがインストールされています。

- Samba に欠陥が見つかりました。クライアントが書き込みを満たすのに十分なデータを送信したことを保証するために、一部の SMB1 書き込みリクエストが正しく範囲チェックされていませんでした。これにより、クライアントが提供したデータの代わりにサーバーメモリの内容をファイル (またはプリンター) に書き込むことができます。クライアントは、ファイル (またはプリンター) に書き込まれるサーバーメモリの領域を制御できません。(CVE-2022-32742)

Nessus はこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

参考資料

https://linux.oracle.com/errata/ELSA-2022-8317.html

プラグインの詳細

深刻度: Medium

ID: 168113

ファイル名: oraclelinux_ELSA-2022-8317.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2022/11/22

更新日: 2022/11/28

サポートされているセンサー: Frictionless Assessment Agent, Nessus Agent, Nessus

リスク情報

VPR

リスクファクター: Low

スコア: 2.2

CVSS v2

リスクファクター: Medium

基本値: 4

現状値: 3

ベクトル: CVSS2#AV:N/AC:L/Au:S/C:P/I:N/A:N

CVSS スコアのソース: CVE-2022-32742

CVSS v3

リスクファクター: Medium

基本値: 4.3

現状値: 3.8

ベクトル: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:oracle:linux:samba-common-libs, cpe:/o:oracle:linux:9, p-cpe:/a:oracle:linux:samba-winbind-clients, p-cpe:/a:oracle:linux:samba-pidl, p-cpe:/a:oracle:linux:libwbclient, p-cpe:/a:oracle:linux:samba-test, p-cpe:/a:oracle:linux:samba-test-libs, p-cpe:/a:oracle:linux:samba-devel, p-cpe:/a:oracle:linux:samba-winexe, p-cpe:/a:oracle:linux:samba-vfs-iouring, p-cpe:/a:oracle:linux:samba, p-cpe:/a:oracle:linux:libsmbclient, p-cpe:/a:oracle:linux:libwbclient-devel, p-cpe:/a:oracle:linux:samba-winbind, p-cpe:/a:oracle:linux:samba-common, p-cpe:/a:oracle:linux:samba-common-tools, p-cpe:/a:oracle:linux:samba-krb5-printing, p-cpe:/a:oracle:linux:python3-samba, p-cpe:/a:oracle:linux:samba-client-libs, p-cpe:/a:oracle:linux:samba-winbind-krb5-locator, p-cpe:/a:oracle:linux:libsmbclient-devel, p-cpe:/a:oracle:linux:samba-libs, p-cpe:/a:oracle:linux:samba-client, p-cpe:/a:oracle:linux:samba-winbind-modules

必要な KB アイテム: Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list, Host/local_checks_enabled

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/11/22

脆弱性公開日: 2022/7/27

参照情報

CVE: CVE-2022-32742

IAVA: 2022-A-0299-S